/*!
 	\file
 	\brief	フォントハンドル
\n			Windows専用です
 */


#ifndef CFontWindows_h
#define CFontWindows_h

#include"../../../../Setup/CompileMode.h"
#include"../../../CFont.h"



namespace Maid
{
	class CFontWindows : public IFont
	{
	public:
		CFontWindows();
		virtual ~CFontWindows();

		virtual mstring GetFontName() const;
		virtual SIZE2DI GetSize() const;
		virtual bool IsAntialias() const;
		virtual bool IsBold() const;
		virtual bool IsItalic() const;

		mstring	m_FontName;	//!<	フォント名
		SIZE2DI	m_Size;		//!<	フォント１文字あたりの縦横幅（半角サイズ）
		bool	m_IsAntialias;
		bool	m_IsBold;
		bool	m_IsItalic;
	};
}

#endif
